# FTXUI: ReceiverImpl< T > Class Template Reference

Loading...
Searching...
No Matches
ReceiverImpl< T > Class Template Reference

`#include <receiver.hpp>`

## Public Member Functions

Sender< T > | MakeSender ()
| ReceiverImpl ()=default
bool | Receive (T *t)
bool | ReceiveNonBlocking (T *t)
bool | HasPending ()
bool | HasQuitted ()

## Detailed Description

template<class T>
class ftxui::ReceiverImpl< T >

Definition at line 81 of file receiver.hpp.

## Constructor & Destructor Documentation

## ReceiverImpl()

template<class T >

ReceiverImpl | ( |  | ) |

default

## Member Function Documentation

## MakeSender()

template<class T >

Sender< T > MakeSender | ( |  | ) |

inline

Definition at line 83 of file receiver.hpp.

## Receive()

template<class T >

bool Receive | ( | T * | t | ) |

inline

Definition at line 90 of file receiver.hpp.

## ReceiveNonBlocking()

template<class T >

bool ReceiveNonBlocking | ( | T * | t | ) |

inline

Definition at line 106 of file receiver.hpp.

## HasPending()

template<class T >

bool HasPending | ( |  | ) |

inline

Definition at line 116 of file receiver.hpp.

## HasQuitted()

template<class T >

bool HasQuitted | ( |  | ) |

inline

Definition at line 121 of file receiver.hpp.

The documentation for this class was generated from the following file:

- receiver.hpp